#include "StdAfx.h"
#include "ServerInfoFilter.h"

//!	モジュール名
static TCHAR _MODULE_NAME[] = _T("ServerInfoFilter");

CServerInfoFilter::CServerInfoFilter(void)
{
}

CServerInfoFilter::~CServerInfoFilter(void)
{
}

/*!
	フィルタ名取得
*/
LPCTSTR CServerInfoFilter::GetFilterName()
{
	return _MODULE_NAME;
};


//////////////////////////////////////////////////////////////////////////////////////////////
//	レスポンス送信
//////////////////////////////////////////////////////////////////////////////////////////////
/*!
	レスポンスヘッダ
*/
void CServerInfoFilter::_FilterResponseHeader(CIConnectionToolWrap filterContext)
{
	//	レスポンスオプション取得
	CContextResponseInfo	responseInfo = filterContext.GetContxet().GetResponseInfo();
	CContextResponseOption	responseOption = responseInfo.GetResponseOption();

	//	生成日時を設定
	responseOption.SetDate(filterContext.GetContxet().GetStartTime().GetGMT());

	//	サーバを設定
	responseOption.SetServer(SERVER_VERSION_STRING);
}


